Package org.globus.gsi.gssapi.jaas

# Class GlobusPrincipal

java.lang.Object
org.globus.gsi.gssapi.jaas.SimplePrincipal
org.globus.gsi.gssapi.jaas.GlobusPrincipal

All Implemented Interfaces:
  `Serializable`, `Principal`

public class GlobusPrincipal extends SimplePrincipal
A Globus DN principal. The Globus DN is in the form: "/CN=foo/O=bar".

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`GlobusPrincipal(String globusDn)`

## Method Summary

### Methods inherited from class org.globus.gsi.gssapi.jaas.SimplePrincipal

`equals, getName, hashCode, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.security.Principal

`implies`

## Constructor Details

### GlobusPrincipal

public GlobusPrincipal(String globusDn)